Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create project update

POST/workspaces/{organizationId}/projects/{projectId}/updates
Path parameters
organizationIdstringrequired
projectIdstringrequired
Request body
application/json
contentstringrequired
min length 1
contentFormatstring
default: "text"
Allowed:textmarkdownblocks
healthstring
default: "on_track"
Allowed:on_trackat_riskoff_trackpaused
Responses
201Project update created
idstringrequired
organizationIdstringrequired
projectIdstringrequired
contentstringrequired
contentFormatstringrequired
Allowed:textmarkdownblocks
healthstringrequired
Allowed:on_trackat_riskoff_trackpaused
createdByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/projects/string/updates" \
  -H "Content-Type: application/json" \
  -d '{
  "content": "string",
  "contentFormat": "text",
  "health": "on_track"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "projectId": "string",
  "content": "string",
  "contentFormat": "text",
  "health": "on_track",
  "createdById": "string",
  "createdAt": "string",
  "updatedAt": "string"
}